/*
 * $Id: endian.c,v 1.1 1996/02/15 01:30:08 scotty Rel $
 *
 * $Log: endian.c,v $
 * Revision 1.1  1996/02/15 01:30:08  scotty
 * Initial revision
 *
 */
#ifdef __unix__

#include <sys/types.h>
#include <stdio.h>
#include <unistd.h>
#include <netinet/in.h>
#include "exttypes.h"
#if defined(CONV_NONE)
# undef  CONV_NONE
#endif /* CONV_NONE */
#if defined(CONV_INDEX)
# undef CONV_INDEX
#endif /* CONV_INDEX */
#if !defined(CONV_ALL)
# define CONV_ALL
#endif /* ! CONV_ALL */
#include "localize.h"


static char rcsid[] = "$Id: endian.c,v 1.1 1996/02/15 01:30:08 scotty Rel $";

void fix_accentry(struct accentry *data, int n)
{
   for (; n > 0; n--, data++) {
      data->x = ntohl(data->x);
      data->y = ntohl(data->y);
   }
}

void fix_bibhdr(struct bibhdr *data, int n)
{
   for (; n > 0; n--, data++) {
      data->type = ntohl(data->type);
      data->seek = ntohl(data->seek);
      data->nrows = ntohl(data->nrows);
   }
}

void fix_bibentry(struct bibentry *data, int n)
{
   for (; n > 0; n--, data++) {
      data->name = ntohl(data->name);
      data->namelen = ntohl(data->namelen);
   }
}

void fix_pihead(struct pihead *data, int n)
{
   for (; n > 0; n--, data++)
      data->n = ntohl(data->n);
}

void fix_pii(struct pii *data, int n)
{
   for (; n > 0; n--, data++)
      data->path = ntohl(data->path);
}

void fix_locent1(struct locent1 *data, int n)
{
   for (; n > 0; n--, data++) {
      data->bNew = ntohl(data->bNew);
      data->lcode = ntohl(data->lcode);
      data->pos = ntohl(data->pos);
      data->word = ntohl(data->word);
      data->lw = ntohl(data->lw);
   }
}

void fix_di(struct di *data, int n)
{
   for (; n > 0; n--, data++) {
      data->w = ntohl(data->w);
      data->freq = ntohl(data->freq);
      data->extra = ntohl(data->extra);
      data->str = ntohl(data->str);
   }
}

void fix_dhead(struct dhead *data, int n)
{
   int  *p;
   int   t;

   for (; n > 0; n--, data++) {
      data->v0 = ntohl(data->v0);
      data->v1 = ntohl(data->v1);
      data->v2 = ntohl(data->v2);
      data->nw = ntohl(data->nw);
      data->nu = ntohl(data->nu);
   }
}

void fix_strb(struct strb *data, int n)
{
   int  *p;
   int   t;

   for (; n > 0; n--, data++) {
      data->bLast = ntohl(data->bLast);
      data->word = ntohl(data->word);
      data->ihash = ntohl(data->ihash);
      data->type = ntohl(data->type);
      data->extra = ntohl(data->extra);
      data->ff = ntohl(data->ff);
      data->first = ntohl(data->first);
      data->lf = ntohl(data->lf);
      data->last = ntohl(data->last);
      data->frobpos = ntohl(data->frobpos);
      data->frobno = ntohl(data->frobno);
      data->wc = ntohl(data->wc);

   }
}

void fix_sara_long(sara_long *data, int n)
{
   for (; n > 0; n--, data++)
      *data = ntohl(*data);
}

void fix_sara_ulong(sara_ulong *data, int n)
{
   for (; n > 0; n--, data++)
      *data = ntohl(*data);
}

void fix_sara_int(sara_int *data, int n)
{
   for (; n > 0; n--, data++)
      *data = ntohl(*data);
}

void fix_dicent(struct dicent *data, int n)
{
   for (; n > 0; n--, data++) {
      data->dwd = ntohl(data->dwd);
      data->type = ntohl(data->type);
      data->extra = ntohl(data->extra);
      data->first = ntohl(data->first);
   }
}

void fix_ihdr(struct ihdr *data, int n)
{
   for (; n > 0; n--, data++) {
      data->version = ntohl(data->version);
      data->ndict = ntohl(data->ndict);
      data->nill = ntohl(data->nill);
      data->nbytes = ntohl(data->nbytes);
      data->bOS = ntohl(data->bOS);
   }
}

void fix_locent(struct locent *data, int n)
{
   for (; n > 0; n--, data++) {
      data->bNew = ntohl(data->bNew);
      data->lcode = ntohl(data->lcode);
      data->pos = ntohl(data->pos);
      data->word = ntohl(data->word);
   }
}

void fix_sig(struct index_sig *data,int n)
{
	for (; n > 0;n--,data++) {
		data->nelts=ntohl(data->nelts);
		data->natts=ntohl(data->natts);
		data->npos=ntohl(data->npos);
		data->ntexts=ntohl(data->ntexts);
		data->nhash=ntohl(data->nhash);
		data->nhashsig=ntohl(data->nhashsig);
		data->hashshift=ntohl(data->hashshift);
		data->hashlast=ntohl(data->hashlast);
		data->maxiloc=ntohl(data->maxiloc);
	}
}						

#endif  /* __unix__ */
